Subject: Re: bug#13342: [PARTIALLY SOLVED] bug#13342: Errors trying to build Guile 2.0.7

From: Peter Teeson <[email-masked]>
Date: Sun, 27 Jan 2013 21:40:21 -0500

Hi Mark:
Thanks for your comments and I agree I was wrong.
Ludovic pointed out GCC dropping off the MSB 24-bits whereas Clang does not.
You pointed out the lack of sign extension in the libffi implementation.

I would think it would be easier to make the change to libffi 
rather than expect changes to be made to the compilers.
But that's just my opinion.

Anyway glad that you wizards have nailed it.

OK if I bow out now and let others fix it?

respect….

Peter